Bug 459605 - (CVE-2008-3714) CVE-2008-3714 awstats: Cross-site scripting (XSS) vulnerability
CVE-2008-3714 awstats: Cross-site scripting (XSS) vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20080623,reported=20080820,sou...
: Security
Depends On: 459741 459742 459743 459865
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 09:53 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 14:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-08-20 09:53:37 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3714 
to the following vulnerability:

Cross-site scripting (XSS) vulnerability in awstats.pl in AWStats 6.8 allows
remote attackers to inject arbitrary web script or HTML via the query_string,
a different vulnerability than CVE-2006-3681 and CVE-2006-1945.

References:

http://bugs.gentoo.org/show_bug.cgi?id=235225

Upstream patch:

http://awstats.cvs.sourceforge.net/awstats/awstats/wwwroot/cgi-bin/awstats.pl?r1=1.910&r2=1.912

Upstream bug report:

http://sourceforge.net/tracker/index.php?func=detail&aid=2001151&group_id=13764&atid=113764
Comment 1 Jan Lieskovsky 2008-08-20 09:57:05 EDT
CVE-2008-3714: This issue affects the versions of the awstats package
as shipped with Fedora 8, Fedora 9 and version of the awstats package,
as shipped within the Extra Packages for Enterprise Linux (EPEL) project.
Comment 3 Aurelien Bompard 2008-08-21 16:56:11 EDT
I am having issues accessing the Fedora CVS server to update the package. I know the Infrastructure team is fixing a pretty big problem, is there any way we could update this package ?
Comment 4 Tomas Hoger 2008-08-22 02:29:44 EDT
Aurelien, there's not alternate way at the moment, afaik.  So we'll have to wait until infrastructure is restored again, which will hopefully happen soon now.
Comment 5 Tim Jackson 2008-08-23 04:41:40 EDT
For some reason an EPEL5 bug didn't get opened so I created bug #459865. Can't
work out how to make it Fedora contributor-only though.
Comment 6 Fedora Update System 2008-09-10 02:37:55 EDT
awstats-6.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-09-10 03:05:33 EDT
awstats-6.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Red Hat Product Security 2008-10-01 14:02:59 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7684
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7663

Note You need to log in before you can comment on or make changes to this bug.